<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <h1>Menu Kantin Kumparan</h1>
    <h2>Makanan</h2>
    <ol id="menu-makanan"></ol>
    <h2>Minuman</h2>
    <ol id="menu-minuman"></ol>
    <script>
        const query = `
        {
            getMakanan {
                id
                nama
                level
            }
            getMinuman {
                id
                nama
                cupSize
            }
        }        
        `
        fetch('/graphql', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                Accept: 'application/json'
            },
            body: JSON.stringify({
                query
            })
        })
        .then(r => r.json())
        .then(({ data }) => {
            data.getMakanan.forEach(el => {
                let item = '<li>Nama: ' + el.nama + ', Level: ' + el.level.join(" ") + '</li>'
                document.getElementById('menu-makanan').innerHTML += item
            });

            data.getMinuman.forEach(el => {
                let item = '<li>Nama: ' + el.nama + ', Cup Size: ' + el.cupSize.join(" ") + '</li>'
                document.getElementById('menu-minuman').innerHTML += item
            });
        })
        </script>
</body>
</html>